#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export "QMAKE_CXXFLAGS=$(CFLAGS)"

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	QT_SELECT=6 && ls -ls && qmake6 accounts-qml-module.pro LIBDIR+=/usr/lib/$(DEB_HOST_MULTIARCH)
#	mkdir -p build6 && cd build6 && QT_SELECT=6 && ls -ls ../ && qmake6 ../accounts-qml-module.pro LIBDIR+=/usr/lib/$(DEB_HOST_MULTIARCH)
#	CONFIG+=ubuntu-docs

#override_dh_auto_build:
#	cd build6 &&  make

#override_dh_install:
#	rmdir debian/tmp/usr/share/doc/accounts-qml-module/html/images/
#	dh_install -X .gitignore

#override_dh_auto_install:
#	cd build6 && make install INSTALL_ROOT=$(CURDIR)/debian/tmp

override_dh_installexamples:
	dh_installexamples --sourcedir=$(CURDIR)

#override_dh_install:
#	cd build6 && dh_install
#	dh_install
